local ____lualib = require("lualib_bundle")
local Map = ____lualib.Map
local __TS__New = ____lualib.__TS__New
local __TS__ObjectEntries = ____lualib.__TS__ObjectEntries
local ____exports = {}
local ____string = require("functions.string")
local removeNonAlphanumericCharacters = ____string.removeNonAlphanumericCharacters
local ____trinketNames = require("objects.trinketNames")
local TRINKET_NAMES = ____trinketNames.TRINKET_NAMES
--- Maps trinket names to the values of the `TrinketType` enum.
-- 
-- For a mapping of `TrinketType` to name, see the `TRINKET_NAMES` constant.
____exports.TRINKET_NAME_TO_TYPE_MAP = (function()
    local trinketNameToTypeMap = __TS__New(Map)
    for ____, ____value in ipairs(__TS__ObjectEntries(TRINKET_NAMES)) do
        local trinketTypeString = ____value[1]
        local name = ____value[2]
        local trinketType = trinketTypeString
        local simpleString = removeNonAlphanumericCharacters(nil, name)
        trinketNameToTypeMap:set(simpleString, trinketType)
    end
    return trinketNameToTypeMap
end)(nil)
return ____exports
